# Rename a creative

Renames a creative. Works with Meta Ads.

```http
PUT https://api.pozy.ai/v1/ads/creatives/{creativeId}
```

- Area: Ads / Ad Creatives
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `creativeId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `name`, string, required: Up to 255 characters

## Example request

```bash
curl -X PUT "https://api.pozy.ai/v1/ads/creatives/68c59681516c848d73eebe49" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "name": "Acme"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/creatives/68c59681516c848d73eebe49", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    name: "Acme"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.put(
    "https://api.pozy.ai/v1/ads/creatives/68c59681516c848d73eebe49",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "name": "Acme",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `creativeId`, string
- `name`, string
- `message`, string

```json
{
  "creativeId": "68c59681516c848d73eebe49",
  "name": "Acme",
  "message": "Hello from Pozy"
}
```
